{
  "name": "materialverleih-frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@ant-design/charts": "^2.0.3",
    "antd": "^5.14.1",
    "axios": "^1.6.7",
    "bizcharts": "^4.1.23",
    "classnames": "^2.5.1",
    "date-fns": "^3.4.0",
    "i18next": "^23.10.0",
    "i18next-browser-languagedetector": "^7.2.0",
    "i18next-http-backend": "^2.5.0",
    "jwt-decode": "^4.0.0",
    "lucide-react": "^0.330.0",
    "moment": "^2.30.1",
    "prop-types": "^15.8.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-i18next": "^14.0.5",
    "react-icons": "^5.0.1",
    "react-router-dom": "^6.22.1"
  },
  "devDependencies": {
    "@types/dotenv": "^8.2.0",
    "@types/node": "^20.11.30",
    "@types/react": "^18.2.55",
    "@types/react-dom": "^18.2.19",
    "@typescript-eslint/eslint-plugin": "^6.21.0",
    "@typescript-eslint/parser": "^6.21.0",
    "@vitejs/plugin-react": "^4.2.1",
    "autoprefixer": "^10.4.17",
    "dotenv": "^16.4.5",
    "eslint": "^8.56.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.5",
    "postcss": "^8.4.35",
    "tailwindcss": "^3.4.1",
    "typescript": "^5.2.2",
    "vite": "^5.1.0"
  }
}
